Package com.google.protobuf

# Class DescriptorProtos.SourceCodeInfo.Location.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder>
com.google.protobuf.DescriptorProtos.SourceCodeInfo.Location.Builder

All Implemented Interfaces:
  `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.SourceCodeInfo.Location`

public static final class DescriptorProtos.SourceCodeInfo.Location.Builder extends GeneratedMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder> implements DescriptorProtos.SourceCodeInfo.LocationOrBuilder
Protobuf type `google.protobuf.SourceCodeInfo.Location`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`addAllLeadingDetachedComments(Iterable<String> values)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`addAllPath(Iterable<? extends Integer> values)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`addAllSpan(Iterable<? extends Integer> values)`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`addLeadingDetachedComments(String value)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`addLeadingDetachedCommentsBytes(ByteString value)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`addPath(int value)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`addSpan(int value)`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`DescriptorProtos.SourceCodeInfo.Location`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.SourceCodeInfo.Location`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`clearLeadingComments()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`clearLeadingDetachedComments()`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`clearPath()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`clearSpan()`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`clearTrailingComments()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`DescriptorProtos.SourceCodeInfo.Location`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getLeadingComments()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`ByteString`
`getLeadingCommentsBytes()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`String`
`getLeadingDetachedComments(int index)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`ByteString`
`getLeadingDetachedCommentsBytes(int index)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`int`
`getLeadingDetachedCommentsCount()`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`ProtocolStringList`
`getLeadingDetachedCommentsList()`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`int`
`getPath(int index)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`int`
`getPathCount()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`List<Integer>`
`getPathList()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`int`
`getSpan(int index)`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`int`
`getSpanCount()`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`List<Integer>`
`getSpanList()`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`String`
`getTrailingComments()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`ByteString`
`getTrailingCommentsBytes()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`boolean`
`hasLeadingComments()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`boolean`
`hasTrailingComments()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`mergeFrom(DescriptorProtos.SourceCodeInfo.Location other)`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`setLeadingComments(String value)`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`setLeadingCommentsBytes(ByteString value)`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`setLeadingDetachedComments(int index, String value)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`setPath(int index, int value)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`setSpan(int index, int value)`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`setTrailingComments(String value)`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`setTrailingCommentsBytes(ByteString value)`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder>`

### clear

public DescriptorProtos.SourceCodeInfo.Location.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.SourceCodeInfo.Location getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.SourceCodeInfo.Location build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.SourceCodeInfo.Location buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.SourceCodeInfo.Location.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder>`

### mergeFrom

public DescriptorProtos.SourceCodeInfo.Location.Builder mergeFrom(DescriptorProtos.SourceCodeInfo.Location other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder>`

### mergeFrom

public DescriptorProtos.SourceCodeInfo.Location.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.SourceCodeInfo.Location.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### getPathList

public List<Integer> getPathList()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPathList` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  A list containing the path.

### getPathCount

public int getPathCount()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPathCount` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The count of path.

### getPath

public int getPath(int index)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPath` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The path at the given index.

### setPath

public DescriptorProtos.SourceCodeInfo.Location.Builder setPath(int index, int value)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Parameters:
  `index` - The index to set the value at.
  `value` - The path to set.
Returns:
  This builder for chaining.

### addPath

public DescriptorProtos.SourceCodeInfo.Location.Builder addPath(int value)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Parameters:
  `value` - The path to add.
Returns:
  This builder for chaining.

### addAllPath

public DescriptorProtos.SourceCodeInfo.Location.Builder addAllPath(Iterable<? extends Integer> values)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Parameters:
  `values` - The path to add.
Returns:
  This builder for chaining.

### clearPath

public DescriptorProtos.SourceCodeInfo.Location.Builder clearPath()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Returns:
  This builder for chaining.

### getSpanList

public List<Integer> getSpanList()
`repeated int32 span = 2 [json_name = "span", packed = true];`

Specified by:
  `getSpanList` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  A list containing the span.

### getSpanCount

public int getSpanCount()
`repeated int32 span = 2 [json_name = "span", packed = true];`

Specified by:
  `getSpanCount` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The count of span.

### getSpan

public int getSpan(int index)
`repeated int32 span = 2 [json_name = "span", packed = true];`

Specified by:
  `getSpan` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The span at the given index.

### setSpan

public DescriptorProtos.SourceCodeInfo.Location.Builder setSpan(int index, int value)
`repeated int32 span = 2 [json_name = "span", packed = true];`

Parameters:
  `index` - The index to set the value at.
  `value` - The span to set.
Returns:
  This builder for chaining.

### addSpan

public DescriptorProtos.SourceCodeInfo.Location.Builder addSpan(int value)
`repeated int32 span = 2 [json_name = "span", packed = true];`

Parameters:
  `value` - The span to add.
Returns:
  This builder for chaining.

### addAllSpan

public DescriptorProtos.SourceCodeInfo.Location.Builder addAllSpan(Iterable<? extends Integer> values)
`repeated int32 span = 2 [json_name = "span", packed = true];`

Parameters:
  `values` - The span to add.
Returns:
  This builder for chaining.

### clearSpan

public DescriptorProtos.SourceCodeInfo.Location.Builder clearSpan()
`repeated int32 span = 2 [json_name = "span", packed = true];`

Returns:
  This builder for chaining.

### hasLeadingComments

public boolean hasLeadingComments()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Specified by:
  `hasLeadingComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  Whether the leadingComments field is set.

### getLeadingComments

public String getLeadingComments()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Specified by:
  `getLeadingComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The leadingComments.

### getLeadingCommentsBytes

public ByteString getLeadingCommentsBytes()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Specified by:
  `getLeadingCommentsBytes` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The bytes for leadingComments.

### setLeadingComments

public DescriptorProtos.SourceCodeInfo.Location.Builder setLeadingComments(String value)
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Parameters:
  `value` - The leadingComments to set.
Returns:
  This builder for chaining.

### clearLeadingComments

public DescriptorProtos.SourceCodeInfo.Location.Builder clearLeadingComments()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Returns:
  This builder for chaining.

### setLeadingCommentsBytes

public DescriptorProtos.SourceCodeInfo.Location.Builder setLeadingCommentsBytes(ByteString value)
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Parameters:
  `value` - The bytes for leadingComments to set.
Returns:
  This builder for chaining.

### hasTrailingComments

public boolean hasTrailingComments()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Specified by:
  `hasTrailingComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  Whether the trailingComments field is set.

### getTrailingComments

public String getTrailingComments()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Specified by:
  `getTrailingComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The trailingComments.

### getTrailingCommentsBytes

public ByteString getTrailingCommentsBytes()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Specified by:
  `getTrailingCommentsBytes` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The bytes for trailingComments.

### setTrailingComments

public DescriptorProtos.SourceCodeInfo.Location.Builder setTrailingComments(String value)
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Parameters:
  `value` - The trailingComments to set.
Returns:
  This builder for chaining.

### clearTrailingComments

public DescriptorProtos.SourceCodeInfo.Location.Builder clearTrailingComments()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Returns:
  This builder for chaining.

### setTrailingCommentsBytes

public DescriptorProtos.SourceCodeInfo.Location.Builder setTrailingCommentsBytes(ByteString value)
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Parameters:
  `value` - The bytes for trailingComments to set.
Returns:
  This builder for chaining.

### getLeadingDetachedCommentsList

public ProtocolStringList getLeadingDetachedCommentsList()
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Specified by:
  `getLeadingDetachedCommentsList` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  A list containing the leadingDetachedComments.

### getLeadingDetachedCommentsCount

public int getLeadingDetachedCommentsCount()
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Specified by:
  `getLeadingDetachedCommentsCount` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The count of leadingDetachedComments.

### getLeadingDetachedComments

public String getLeadingDetachedComments(int index)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Specified by:
  `getLeadingDetachedComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The leadingDetachedComments at the given index.

### getLeadingDetachedCommentsBytes

public ByteString getLeadingDetachedCommentsBytes(int index)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Specified by:
  `getLeadingDetachedCommentsBytes` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the leadingDetachedComments at the given index.

### setLeadingDetachedComments

public DescriptorProtos.SourceCodeInfo.Location.Builder setLeadingDetachedComments(int index, String value)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The leadingDetachedComments to set.
Returns:
  This builder for chaining.

### addLeadingDetachedComments

public DescriptorProtos.SourceCodeInfo.Location.Builder addLeadingDetachedComments(String value)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Parameters:
  `value` - The leadingDetachedComments to add.
Returns:
  This builder for chaining.

### addAllLeadingDetachedComments

public DescriptorProtos.SourceCodeInfo.Location.Builder addAllLeadingDetachedComments(Iterable<String> values)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Parameters:
  `values` - The leadingDetachedComments to add.
Returns:
  This builder for chaining.

### clearLeadingDetachedComments

public DescriptorProtos.SourceCodeInfo.Location.Builder clearLeadingDetachedComments()
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Returns:
  This builder for chaining.

### addLeadingDetachedCommentsBytes

public DescriptorProtos.SourceCodeInfo.Location.Builder addLeadingDetachedCommentsBytes(ByteString value)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Parameters:
  `value` - The bytes of the leadingDetachedComments to add.
Returns:
  This builder for chaining.